"""メイン関数

『SS7』で計算を繰り返し行い、
断面算定がOKとなる梁・柱の鉄骨断面を求めます。

以下を指定します。
・入力csv名
・最大計算回数

Copyright (C) 2024 UNION SYSTEM Inc.

"""

import calc_dansan as calc

# 対象とする入力csv名　デフォルト:"input.csv"
input_csv_name: str = "input.csv"

# 最大計算回数。デフォルト:100
max_count: int = 999


# 処理実行
calc.perform_analysis(
    input_csv_name, max_count
)
